# packages
require(AUC)
require(ROCR)


## set file location of the extracted folder "/Data code repository" on your PC:
setwd = "/Data code repository"


## read data on all searched sites with presence/absence and extracted probabilities for each 300x300m cell (see explanation f variables in last column)
df = read.csv("All spp search data.csv")

# 72 sites where PA of all proxy species were noted
df.t = df[!is.na(df$X2.3ClosetSpp),]
nrow(df.t)

## AUC for 2/3 spp, old and new C. rosei SDM
auc(roc(df.t$HS.ros.mean.0, factor(df.t$X2.3ClosetSpp)))

## AUC of wetland, same method
df.w = df[!is.na(df$shallowWetland),]
auc(roc(df.w$HS.ros.mean.0, factor(df.w$shallowWetland)))


## AUC for proxy spp.
auc(roc(df.t$HS.fus.mean, factor(df.t$PA.fus)))
auc(roc(df.t$HS.lig.mean, factor(df.t$PA.lig)))
auc(roc(df.t$HS.bon.mean, factor(df.t$PA.bon)))
auc(roc(df.t$HS.gra.mean, factor(df.t$PA.gra)))


